commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jochen Wiedmann (JIRA)" <>
Subject [jira] Commented: (IO-127) Move to a minimum of JDK 1.4
Date Fri, 12 Oct 2007 20:26:50 GMT


Jochen Wiedmann commented on IO-127:

I see no reason not to trust the build scripts in that aspect. After all, we trusted the compiler
settings in the past. We're simply discussing a different target platform.

> Move to a minimum of JDK 1.4
> ----------------------------
>                 Key: IO-127
>                 URL:
>             Project: Commons IO
>          Issue Type: Task
>            Reporter: Niall Pemberton
>            Priority: Minor
>             Fix For: 1.4
> There was a discussion a while back on moving Commons IO to a minimum JDK version of
1.4 - see [1] below. The majority view was this was a good idea. Jorg Schaible suggested[2]
that the compiler options be kept at JDK 1.3 so that, apart from new JDK 1.4 dependant features,
Commons IO would still operate under JDK 1.3. This seems like a good idea and resolves the
issue of whether this would require a major version change.
> There was also a view that we should move to JDK 1.5 instead - I have no issue with that,
but would advocate that theres no point in doing so until there are people wanting to commit
JDK 1.5 dependant features.
> This change is targeted at Commons IO 1.4 - and a Commons IO 1.3 branch has been created
for anyone still desiring future JDK 1.3 only releases.
> [1]
> [2]$37s$

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message